## org.mortbay.cometd
Class AbstractTransport

    java.lang.Object
      org.mortbay.cometd.AbstractTransport

All Implemented Interfaces:
  Transport

Direct Known Subclasses:
  JSONPTransport, JSONTransport

    public abstract class AbstractTransport

extends java.lang.Object
implements Transport

Constructor Summary
`AbstractTransport()`

Method Summary
`org.cometd.Message` `getMetaConnectReply()`
`javax.servlet.http.HttpServletResponse` `getResponse()`
`void` `setMetaConnectReply(org.cometd.Message reply)`
`void` `setResponse(javax.servlet.http.HttpServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mortbay.cometd.Transport
`complete, isMetaConnectDeliveryOnly, send`

Constructor Detail

### AbstractTransport

    public AbstractTransport()

Method Detail

### setResponse

    public void setResponse(javax.servlet.http.HttpServletResponse response)
                     throws java.io.IOException

  Specified by:
    `setResponse` in interface `Transport`
  Throws:
    `java.io.IOException`

### getResponse

    public javax.servlet.http.HttpServletResponse getResponse()

### getMetaConnectReply

    public org.cometd.Message getMetaConnectReply()

  Specified by:
    `getMetaConnectReply` in interface `Transport`

### setMetaConnectReply

    public void setMetaConnectReply(org.cometd.Message reply)

  Specified by:
    `setMetaConnectReply` in interface `Transport`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.